[data, dividends] = getGoogleDailyData({'INDEXSP:.INX','TSE:OSP60','INDEXNASDAQ:.IXIC','NYSE:BAC','NYSE:IBM'}, '01/01/1995', '31/12/2015', 'dd/mm/yyyy');
i = 1;
Price = data.INDEXSP0x3A0x2EINX.AdjClose;
date = data.INDEXSP0x3A0x2EINX.Date;
ret = 100*(log(Price(2:end)) - log(Price(1:end-1)));
date_ret = date(2:end);
Series(i).Price = Price;
Series(i).ret = ret;
Series(i).date = date_ret;
Series(i).Name = 'SP500 - Adj Closed';

i = 2;
Price = data.INDEXNASDAQ0x3A0x2EIXIC.AdjClose;
date = data.INDEXNASDAQ0x3A0x2EIXIC.Date;
ret = 100*(log(Price(2:end)) - log(Price(1:end-1)));
date_ret = date(2:end);
Series(i).Price = Price;
Series(i).ret = ret;
Series(i).date = date_ret;
Series(i).Name = 'NASDAQ - Adj Closed';


i = 3;
Price = data.NYSE0x3ABAC.AdjClose;
date = data.NYSE0x3ABAC.Date;
ret = 100*(log(Price(2:end)) - log(Price(1:end-1)));
date_ret = date(2:end);
Series(i).Price = Price;
Series(i).ret = ret;
Series(i).date = date_ret;
Series(i).Name = 'BAC - Adj Closed';



i = 4;
Price = data.NYSE0x3AIBM.AdjClose;
date = data.NYSE0x3AIBM.Date;
ret = 100*(log(Price(2:end)) - log(Price(1:end-1)));
date_ret = date(2:end);
Series(i).Price = Price;
Series(i).ret = ret;
Series(i).date = date_ret;
Series(i).Name = 'IBM - Adj Closed';


i = 4;
Price = data.NYSE0x3AIBM.AdjClose;
date = data.NYSE0x3AIBM.Date;
ret = 100*(log(Price(2:end)) - log(Price(1:end-1)));
date_ret = date(2:end);
Series(i).Price = Price;
Series(i).ret = ret;
Series(i).date = date_ret;
Series(i).Name = 'IBM - Adj Closed';


[ndata, text, alldata] = xlsread('FRED-exchange-rates.xlsx');
ind = 6522;

i = 5;
date = datenum(text(ind:end,1),'dd-mm-yy');
Price = ndata(ind-1:end,1);
indic = isnan(Price);
Price = Price(indic~=1);
date = date(indic~=1);
ret = 100*(log(Price(2:end)) - log(Price(1:end-1)));
date_ret = date(2:end);
Series(i).Price = Price;
Series(i).ret = ret;
Series(i).date = date_ret;
Series(i).Name = 'USD-CAD';


i = 6;
date = datenum(text(ind:end,1),'dd-mm-yy');
Price = ndata(ind-1:end,2);
indic = isnan(Price);
Price = Price(indic~=1);
date = date(indic~=1);
ret = 100*(log(Price(2:end)) - log(Price(1:end-1)));
date_ret = date(2:end);
Series(i).Price = Price;
Series(i).ret = ret;
Series(i).date = date_ret;
Series(i).Name = 'USD-JPY';


i = 7;
date = datenum(text(ind:end,1),'dd-mm-yy');
Price = ndata(ind-1:end,3);
indic = isnan(Price);
Price = Price(indic~=1);
date = date(indic~=1);
ret = 100*(log(Price(2:end)) - log(Price(1:end-1)));
date_ret = date(2:end);
Series(i).Price = Price;
Series(i).ret = ret;
Series(i).date = date_ret;
Series(i).Name = 'USD-GBP';


for i=1:7
    figure;
    plot(Series(i).date,Series(i).ret,'linewidth',3)
    datetick('x','keepticks','keeplimits')
    set(gca,'Xlim',[Series(i).date(1) Series(i).date(end)],'FontName','arial','FontSize',15,'FontWeight','Bold');
    xlabel('anne')
    ylabel('Rendement en %')
    title(Series(i).Name);
end
