function [theta_prop] = DREAM(theta,current,CR,nb_chain,current_MCMC,adapt_rate)
if(nargin<6)
    adapt_rate = 2.38;
end
dim = size(theta);
if(dim(1,1)==nb_chain)
    dimension = dim(1,2);
    
elseif(dim(1,2)==nb_chain)
    dimension = dim(1,1);
    theta = theta';
else
    error('Taille incorrecte');
end
delta = ceil(rand()*4);%ceil(rand()*(0.25*nb_chain));
% delta1 = ceil(rand()*4);
y_sum = zeros(dimension,2);
random =  mod(current-1 + ceil(rand(delta,1)*(nb_chain-1)),nb_chain)+1;
random2 = mod(current-1 + ceil(rand(delta,1)*(nb_chain-1)),nb_chain)+1;

y_sum(:,1) = sum(theta(random,:))';
y_sum(:,2) = sum(theta(random2,:))';

% theta_prop = theta(current,:)';


std = 0.00001;
CR_test = (rand(dimension,1)>CR);
dimension_prim = sum(CR_test);
if(mod(current_MCMC,10)==0)
    gamma = 1;
else
    gamma = adapt_rate/sqrt(2*delta*(dimension_prim+(dimension_prim==0)));
end
b = 0.05;
unif_transform = 1+(rand(dimension,1)*2*b)-b;
% 
% for i=1:dimension
%     if(CR_test(i)==1)
%         theta_prop(i) = theta(current,i) + gamma*(y_sum(i,1)-y_sum(i,2)) + std*randn();
%     end
%     
% end

theta_prop = theta(current,:)' + unif_transform.*(CR_test==1).*(gamma*(y_sum(:,1)-y_sum(:,2)) + std*randn(dimension,1));
