function [leverage] = autoregressive_midas(k_bar,theta,val_max,unc_mean)
if(nargin<4)
    unc_mean = 1;
end

leverage = zeros(k_bar,1);
leverage(1) = val_max;
for q=2:k_bar
   leverage(q) = (1-theta)*(unc_mean>0) + theta*leverage(q-1); 
end