function [Simu_forecast] = perdiction_summary_for_testing(Simu_forecast,y)

nb_forecast = 100;
taille = max(size(y));
nb_iter = max(size(Simu_forecast.all_forecast_sigma));
deb_forecast = taille-nb_iter+1;
nb_type_of_sigmas = 2;


mu_HHMM  = zeros(nb_iter,1);
all_forecast_sigma = Simu_forecast.all_forecast_sigma;
RMSE  = zeros(nb_forecast,nb_iter,nb_type_of_sigmas);
count = zeros(nb_forecast,1);
for q=1:nb_iter
    ind_fin = deb_forecast+q-1;
    if(ind_fin+nb_forecast>taille)
       nb_pred = taille-ind_fin; 
    else
       nb_pred = nb_forecast; 
    end
    
    y_for_models = zeros(nb_pred,nb_type_of_sigmas);
    y_for_models(:,1) = cumsum(all_forecast_sigma(1:nb_pred,1,q)); 
    y_for_models(:,2) = cumsum(all_forecast_sigma(1:nb_pred,2,q)); 
    
    
    y_t = y(1:ind_fin);
    mu_HHMM(q) = mean(y_t);
    y_pred = cumsum((y(ind_fin+1:ind_fin+nb_pred)-mu_HHMM(q)).^2);
    %%%%%%% RMSE
    for z=1:nb_type_of_sigmas
        RMSE(1:nb_pred,q,z) =  (y_pred-y_for_models(:,z)).^2;
    end
    count(1:nb_pred) = count(1:nb_pred)+1;   
end
Simu_forecast.SE_tab = RMSE;
Simu_forecast.count = count;